Page MenuHomeFreeBSD

graphics/inkscape: update to 1.3.2
ClosedPublic

Authored by vvd on Jan 3 2024, 2:00 AM.
Tags
Referenced Files
Unknown Object (File)
Fri, Jul 19, 8:29 PM
Unknown Object (File)
Mon, Jul 15, 6:44 AM
Unknown Object (File)
Fri, Jul 5, 12:24 PM
Unknown Object (File)
Fri, Jul 5, 9:55 AM
Unknown Object (File)
Thu, Jul 4, 10:21 AM
Unknown Object (File)
Thu, Jul 4, 7:13 AM
Unknown Object (File)
Wed, Jun 26, 12:54 PM
Unknown Object (File)
Wed, Jun 26, 4:35 AM
Subscribers

Details

Summary
  1. Update to 1.3.2: https://gitlab.com/inkscape/inkscape/-/releases

https://inkscape.org/news/2023/11/18/big-small-release-inkscape-131-is-out/
https://inkscape.org/news/2023/12/01/Inkscape-1-3-2-solves-data-loss-bug/

  1. Removed unused dependencies (make stage-qa).
  2. Replaced dependency from print/scribus-devel 1.5.8 to print/scribus 1.6.0.
  3. Tested build in poudriere and on live system 13.2-p9 amd64.
  4. Tested run on 13.2-p9 amd64.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

vvd requested review of this revision.Jan 3 2024, 2:00 AM
vvd created this revision.

I haven't tested it, but the patch looks good. When you're happy with the tests, go for it.

This revision is now accepted and ready to land.Jan 3 2024, 11:06 AM

kwm@, can you please help with USES "iconv:wchar_t"/"iconv" - you added it in commit https://cgit.freebsd.org/ports/commit/?id=36b017c5ac6549ffa2431727f6f095fcbdf705ad
and in commit https://cgit.freebsd.org/ports/commit/?id=0bebae225ad1901ebffa99412280f31336255319
Do we need it now?
It build and run fine, but I don't know how to test this.

vishwin added inline comments.
graphics/inkscape/Makefile
33

why?

graphics/inkscape/Makefile
33

stage-qa said "Warning: you might not need LIB_DEPENDS on libpng.so" and after remove it "Error" message that it link with libpng16.so.

In D43289#986754, @vvd wrote:

kwm@, can you please help with USES "iconv:wchar_t"/"iconv" - you added it in commit https://cgit.freebsd.org/ports/commit/?id=36b017c5ac6549ffa2431727f6f095fcbdf705ad
and in commit https://cgit.freebsd.org/ports/commit/?id=0bebae225ad1901ebffa99412280f31336255319
Do we need it now?
It build and run fine, but I don't know how to test this.

Good question, I think it was because clang and/or libc++ or whatever we used back then didn't want to compile without that flag.

I would say that if inkscape builds and runs fine without it to just leave it out.

This revision now requires review to proceed.Jan 5 2024, 9:39 PM
vvd marked an inline comment as done.Jan 5 2024, 9:41 PM

Thanks!

MFH: 2024Q1 - a lot of crash/freeze/bug fixes.

I'll commit in several minutes.

graphics/inkscape/Makefile
33

Reverted to libpng.so (from libpng16.so).

This revision was not accepted when it landed; it landed in state Needs Review.Jan 5 2024, 9:50 PM
This revision was automatically updated to reflect the committed changes.